%global momorel 1


Name:           harfbuzz
Version:        2.0.1
Release:        %{momorel}m%{?dist}
Summary:        Text shaping library

License:        MIT
Group:          System Environment/Libraries
URL:            http://freedesktop.org/wiki/Software/HarfBuzz/
Source0:        http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-%{version}.tar.bz2
NoSource:	0

BuildRequires:  cairo-devel
BuildRequires:  freetype-devel
BuildRequires:  glib2-devel
BuildRequires:  libicu-devel >= 52
BuildRequires:  graphite2-devel >= 1.2.4

%description
HarfBuzz is an implementation of the OpenType Layout engine.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static \
   --with-graphite2=yes

# Remove lib64 rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc NEWS ChangeLog AUTHORS COPYING README
%{_libdir}/*.so.*

%files devel
%{_bindir}/hb-view
%{_bindir}/hb-ot-shape-closure
%{_bindir}/hb-shape
%{_bindir}/hb-subset
%{_includedir}/harfbuzz/
%{_datadir}/gtk-doc/html/harfbuzz/
%{_libdir}/*.so
%{_libdir}/cmake/harfbuzz/harfbuzz-config.cmake
%{_libdir}/pkgconfig/harfbuzz.pc
%{_libdir}/pkgconfig/harfbuzz-icu.pc
%{_libdir}/pkgconfig/harfbuzz-subset.pc


%changelog
* Sun Oct 21 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-1m)
- update 2.0.1

* Mon Oct 08 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-1m)
- update 1.9.0

* Fri Jul 06 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.2-1m)
- update 1.8.2

* Wed Jun 06 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.0-1m)
- update 1.8.0

* Tue Mar 13 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.6-1m)
- update 1.7.6

* Fri Feb 02 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.5-1m)
- update 1.7.5

* Fri Dec 29 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.4-1m)
- update 1.7.4

* Thu Oct 12 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.1-1m)
- update 1.5.1

* Tue Aug 15 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.8-1m)
- update 1.4.8

* Mon Aug 07 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.7-1m)
- update 1.4.7

* Mon May 08 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.6-1m)
- update 1.4.6

* Thu Mar 16 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.5-1m)
- update 1.4.5

* Fri Jan 06 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.1-1m)
- update 1.4.1

* Thu Dec 15 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.4-1m)
- update 1.3.4

* Thu Oct 27 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.3-1m)
- update 1.3.3

* Fri Oct 07 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.2-1m)
- update 1.3.2

* Wed Aug 17 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.0-1m)
- update 1.3.0

* Wed May 11 2016 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.7-2m)
- rebuild against icu-57.1-1m

* Tue May 10 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.7-1m)
- update 1.2.7

* Wed Apr 06 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.5-1m)
- update 1.2.5

* Sun Mar 27 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.4-1m)
- update 1.2.4

* Thu Feb 25 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.0-1m)
- update 1.2.0

* Tue Jan 12 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.3-1m)
- update 1.1.3

* Mon Jan 04 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.2-1m)
- update 1.1.2

* Mon Aug 03 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-1m)
- update 1.0.1

* Tue Jul 07 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.41-2m)
- fix changelog only

* Mon Jun 29 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.41-1m)
- update to 0.9.41

* Mon Jun  8 2015 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.40-1m)
- update to 0.9.40
- rebuild against graphite2-1.2.4

* Sat Jan 10 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.37-1m)
- update 0.9.37

* Tue Nov 25 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.36-1m)
- update 0.9.36

* Thu Aug 21 2014 Hajime Yoshimori <lugia@momonga-linux.org>
- (0.9.33-2m)
- Add BuildRequires: graphite2-devel
- Add --with-graphite2 to %%configure option

* Fri Aug 01 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.33-1m)
- update 0.9.33

* Wed Jul 16 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.30-1m)
- update 0.9.30

* Thu Jun 19 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.29-1m)
- update 0.9.29

* Tue May 27 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.28-1m)
- update 0.9.28

* Mon Mar 24 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.27-1m)
- update 0.9.27

* Thu Mar 13 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.26-2m)
- rebuild against icu-52

* Wed Mar 12 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.26-1m)
- update 0.9.26

* Tue Nov 19 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.24-1m)
- update 0.9.24

* Mon Dec 10 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.9-1m)
- update 0.9.9

* Tue Oct 23 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.5-1m)
- import from fedora.
- need newer pango

* Mon Oct 15 2012 Parag Nemade <paragn AT fedoraproject DOT org> - 0.9.5-1
- Update to 0.9.5 upstream release

* Mon Sep 10 2012 Parag Nemade <paragn AT fedoraproject DOT org> - 0.9.4-1
- Update to 0.9.4 upstream release

* Sun Aug 19 2012 Parag Nemade <paragn AT fedoraproject DOT org> - 0.9.3-1
- Update to 0.9.3 upstream release

* Mon Aug 13 2012 Parag Nemade <paragn AT fedoraproject DOT org> - 0.9.2-1
- Update to 0.9.2 upstream release

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Kalev Lember <kalevlember@gmail.com> - 0.6.0-6
- Rebuilt for libicu 49

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.6.0-4
- Rebuild for new libpng

* Sat Sep 10 2011 Kalev Lember <kalevlember@gmail.com> - 0.6.0-3
- Rebuilt for libicu 4.8

* Thu Jun 16 2011 Kalev Lember <kalev@smartlink.ee> - 0.6.0-2
- Moved hb-view to -devel subpackage (#713126)

* Tue Jun 14 2011 Kalev Lember <kalev@smartlink.ee> - 0.6.0-1
- Initial RPM release
